      ******************************************************************
      *@if[^ҏW
      *@EDITPROG
      *
      ******************************************************************
      *@o
      ******************************************************************
       IDENTIFICATION                  DIVISION.
       PROGRAM-ID.                     EDITPROG.
       AUTHOR.                         J-TANAKA.
       DATE-WRITTEN.                   2017/04/11.
       DATE-COMPILED.                  2017/04/11.
      *
      ******************************************************************
      *@
      ******************************************************************
       ENVIRONMENT                     DIVISION.
       CONFIGURATION                   SECTION.
       SOURCE-COMPUTER.                MYCOMPUTER.
       OBJECT-COMPUTER.                MYCOMPUTER.
       INPUT-OUTPUT                    SECTION.
       FILE-CONTROL.
      *-----------------------------------------------------------------
      *@̓t@Ciit@Cj
      *-----------------------------------------------------------------
       SELECT  IN-FILE             ASSIGN       TO "$IN01"
                                   ORGANIZATION IS LINE SEQUENTIAL.
      *-----------------------------------------------------------------
      *@o̓t@CiҏW㏤it@Cj
      *-----------------------------------------------------------------
       SELECT  OUT-FILE            ASSIGN       TO "$OUT01"
                                   ORGANIZATION IS LINE SEQUENTIAL. 
      *
      *******************************************************************
      *@f[^
      ******************************************************************
       DATA                            DIVISION.
       FILE                            SECTION.
      *-----------------------------------------------------------------
      *@̓t@Ciit@Cj̃CAEg`
      *-----------------------------------------------------------------
       FD  IN-FILE.
       01  IN-RECORD.
           03  IN-SHOHIN.
               05  IN-SHOHIN-CODE      PIC  9(04).
               05  IN-SHOHIN-NAME      PIC  X(20).
           03  IN-SHIIRE.
               05  IN-SHIIRE-CODE      PIC  9(04).
               05  IN-SHIIRE-DATE      PIC  9(08).
           03  IN-SUURYO               PIC  9(03).
           03  IN-TANKA                PIC  9(05).
           03  FILLER                  PIC  X(06).
      *-----------------------------------------------------------------
      *@o̓t@CiҏW㏤it@Cj̃CAEg`
      *-----------------------------------------------------------------
       FD  OUT-FILE.
       01  OUT-RECORD.
           03  OUT-SHOHIN-CODE         PIC  9(04).
           03  OUT-SHOHIN-NAME         PIC  X(20).
           03  OUT-SHIIRE-CODE         PIC  9(04).
           03  OUT-SUURYO              PIC  9(03).
           03  OUT-TANKA               PIC  9(05).
           03  OUT-KINGAKU             PIC  9(09).
           03  FILLER                  PIC  X(05).
      *-----------------------------------------------------------------
      *@Ɨ̈̒`
      *-----------------------------------------------------------------
       WORKING-STORAGE                 SECTION.
       01  WK-AREA.
           03  WK-AT-END               PIC  X(03).
           03  WK-SHIIRE-DATE.
               05  WK-SHIIRE-YY        PIC  9(04).
               05  WK-SHIIRE-MM        PIC  9(02).
               05  WK-SHIIRE-DD        PIC  9(02).
           03  WK-INPUT-COUNT          PIC  9(05).
           03  WK-OUTPUT-COUNT         PIC  9(05).
      *
      ******************************************************************
      *@葱
      ******************************************************************
       PROCEDURE                       DIVISION.
      *
           PERFORM  INIT-SYORI.
      *
           PERFORM  MAIN-SYORI  UNTIL  WK-AT-END = "END".
      *
           PERFORM  TERM-SYORI.
      *
           STOP  RUN.
      *-----------------------------------------------------------------
      *@
      *-----------------------------------------------------------------
       INIT-SYORI                      SECTION.
      *
      *Ɨ̈̏
           MOVE  SPACE                 TO  WK-AT-END.
           MOVE  ZERO                  TO  WK-INPUT-COUNT
                                           WK-OUTPUT-COUNT.
      *
      *t@C̃I[v
           OPEN  INPUT    IN-FILE
                 OUTPUT   OUT-FILE.
      *
      *̓t@C̓ǂݍ
           PERFORM  READ-SYORI.
      *
       INIT-SYORI-EXIT.
           EXIT.
      *-----------------------------------------------------------------
      *@又
      *-----------------------------------------------------------------
       MAIN-SYORI                      SECTION.
      *
           MOVE  IN-SHIIRE-DATE        TO  WK-SHIIRE-DATE.
      *
           IF  WK-SHIIRE-MM  >=  1  AND
               WK-SHIIRE-MM  <=  6
      *
               PERFORM  EDIT-WRITE-SYORI
      *         
           END-IF.
      *
      *̓t@C̓ǂݍ
           PERFORM  READ-SYORI.     
      *
       MAIN-SYORI-EXIT.
           EXIT.
      *-----------------------------------------------------------------
      *@I
      *-----------------------------------------------------------------
       TERM-SYORI                      SECTION.
      *
      *t@C̃N[Y
           CLOSE  IN-FILE
                  OUT-FILE.
      *
      *o͌̕\
           DISPLAY  "̓R[hF"  WK-INPUT-COUNT.
           DISPLAY  "o̓R[hF"  WK-OUTPUT-COUNT.
      *
       TERM-SYORI-EXIT.
           EXIT.
      *-----------------------------------------------------------------
      *@R[h̕ҏWEo͏
      *-----------------------------------------------------------------
       EDIT-WRITE-SYORI                SECTION.
      *
           MOVE  IN-SHOHIN-CODE        TO  OUT-SHOHIN-CODE.
           MOVE  IN-SHOHIN-NAME        TO  OUT-SHOHIN-NAME.
           MOVE  IN-SHIIRE-CODE        TO  OUT-SHIIRE-CODE.
           MOVE  IN-SUURYO             TO  OUT-SUURYO.
           MOVE  IN-TANKA              TO  OUT-TANKA.
      *
           COMPUTE  OUT-KINGAKU  =  IN-SUURYO  *  IN-TANKA.
      *
           WRITE  OUT-RECORD.
      *     
           ADD  1                      TO  WK-OUTPUT-COUNT.
      *
       EDIT-WRITE-SYORI-EXIT.
           EXIT.
      *-----------------------------------------------------------------
      *@̓t@C̓ǂݍ
      *-----------------------------------------------------------------
       READ-SYORI                      SECTION.
      *
           READ  IN-FILE
             AT  END
                 MOVE  "END"           TO  WK-AT-END
             NOT  AT  END
                 ADD  1                TO  WK-INPUT-COUNT
           END-READ.
      *
       READ-SYORI-EXIT.
           EXIT.
